# Generated by Django 2.2.5 on 2019-09-23 18:53

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='BasePayment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('buy_order', models.CharField(max_length=26, unique=True, verbose_name='Orden de compra único generado por Pomaire')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=32, verbose_name='Amount')),
                ('customer_rut', models.CharField(max_length=20, verbose_name='RUT del cliente')),
                ('registered_in_matrix', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ['buy_order'],
            },
        ),
        migrations.CreateModel(
            name='HistoricalBasePayment',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('buy_order', models.CharField(db_index=True, max_length=26, verbose_name='Orden de compra único generado por Pomaire')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=32, verbose_name='Amount')),
                ('customer_rut', models.CharField(max_length=20, verbose_name='RUT del cliente')),
                ('registered_in_matrix', models.BooleanField(default=False)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical base payment',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
